## twidge 0.99.4

=== debian/changelog ===
twidge (0.99.4) unstable; urgency=low

  * Added build-dep on libghc6-hsh-dev.  Closes: #506543.
  * Tightened build-deps.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 03:33:17 -0600

twidge (0.99.3) unstable; urgency=low

  * Added official "source" paramter from Twitter.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 14 Sep 2008 22:10:07 -0500

twidge (0.99.2) unstable; urgency=low

  * Now properly outputs UTF-8 strings for Unicode characters.
  * Removed incompatibility with newer Cabal versions.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 Sep 2008 09:21:12 -0500

twidge (0.99.1) unstable; urgency=low

  * Fixed a logic bug that made -su options not work after the first time.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 Sep 2008 08:45:24 -0500

twidge (0.99.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Jul 2008 10:28:15 -0500
