=== debian/control ===
Source: twidge
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4.5), libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-posix-dev, libghc6-utf8-string-dev, libghc6-hsh-dev (>= 1.2.6.3)
Standards-Version: 3.7.2
Homepage: http://software.complete.org/twidge
Vcs-Browser: http://git.complete.org/twidge
Vcs-Git: git://git.complete.org/twidge

Package: twidge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${haskell:Depends}, curl
Description: Unix Command-Line Twitter and Identica Client
 twidge is a client for microblogging sites such as Twitter and
 Identica (identi.ca). Microblogging sites let you post short
 one-paragraph updates, follow the updates that your friends post, and
 interact with everyone in the site in a conversation style.
 .
 twidge is a client to make working with microblogging sites faster
 and easier. It is extremely versatile, and can be customized to work
 the way you want to work, and combined with other tools to do just
 about anything.
 .
 twidge can be used quite nicely interactively from the shell. It is
 useful directly as-is, and with simple shell aliases can make a
 highly efficient system to do exactly what you want. It is perfectly
 capable of being your only client for microblogging.
 .
 twidge also can be used in an automated way, via cron(1), or it can
 even integrate with your email system.
 .
 A full list of twidge features, along with numerous suggestions on
 how to use it, can be found at the twidge website at
 http://software.complete.org/twidge.
