## twidge 1.0.6

=== debian/changelog ===
twidge (1.0.6) unstable; urgency=low

  * Twitter invalidated the twidge API key because it became publicly
    known (sigh).  Have now obfuscated it enough for them.
    twidge will be broken by default without this fix.
    Closes: #601427.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Oct 2010 20:28:16 -0500

twidge (1.0.5) unstable; urgency=high

  * Twitter has dropped support for http://twitter.com URLs on some
    servers, and now generally requires http://api.twitter.com/1.  This
    required some minor changes to configuration code.  Twitter uses geoIP
    and some of there servers work fine with 1.0.2 while others don't.
    This version will work with all of them.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 01 Sep 2010 00:09:38 -0500
