## twidge 1.0.8.1+nmu1

=== debian/changelog ===
twidge (1.0.8.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build deps to refer to ghc instead of ghc6 (Closes: #629725)
  * Work on newer HaXml in Debian 

 -- Iain Lane <laney@debian.org>  Thu, 28 Jul 2011 13:15:31 +0100
